QGIS Application - Bug report #11948

OGR provider: editing enabled when the file cannot be opened in write mode

2015-01-05 03:02 AM - Hugo Mercier

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.6.0 Regression?:
Operating System: Easy fix?:
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data:

No
No
fixed/implemented

Copied to github as #: 20156

Description

The OGR data provider returns editing capabilities if the underlying format supports it, and even if the file failed to be opened in write

mode.

This gives a strange behaviour where the layer seems to be editable, but cannot be saved in the end.

See the joined .mif example

History

#1 - 2015-01-05 03:06 AM - Hugo Mercier

See PR #1752 for a possible fix

#2 - 2015-06-04 04:15 PM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed

merged in commit:f5b10ba

Files
test_mif.mif 6.5 KB 2015-01-05 Hugo Mercier
test_mif.mid 88 Bytes 2015-01-05 Hugo Mercier
https://github.com/qgis/QGIS/pull/1752

